<?xml version="1.0" encoding="utf-8"?>
<resources>

    <!-- Base application theme. -->
    <style name="AppTheme" parent="Theme.AppCompat.Light.NoActionBar">
        <!-- Customize your theme here. -->
        <item name="colorPrimary">@color/transparent</item>
        <item name="colorPrimaryDark">@color/transparent</item>
        <item name="colorAccent">@color/colorAccent</item>
    </style>

    <!-- Base application theme. -->
    <style name="FlashTheme" parent="Theme.AppCompat.Light.NoActionBar">
        <item name="android:windowIsTranslucent">false</item>
        <item name="android:windowFullscreen">true</item>
        <item name="android:windowBackground">@drawable/bg_launcher</item>
    </style>

    <style name="right_anim_style">
        <item name="android:activityOpenEnterAnimation">@anim/slide_right_in</item>
        <item name="android:activityCloseExitAnimation">@anim/slide_right_out</item>
    </style>

    <style name="checkboxBg" parent="@android:style/Widget.CompoundButton.CheckBox">
        <item name="android:button">@drawable/checkbox_bg</item>
    </style>

    <style name="normal_dialog" parent="android:style/Theme.Dialog">
        <item name="android:windowFrame">@null</item>
        <item name="android:windowNoTitle">true</item>
        <item name="android:windowIsTranslucent">true</item>
        <item name="android:windowBackground">@android:color/transparent</item>
        <item name="android:windowIsFloating">true</item>
        <item name="android:windowContentOverlay">@null</item>
    </style>

    <style name="NoTitleDialog" parent="Theme.AppCompat.Light.Dialog">
        <!--没有标题-->
        <item name="windowNoTitle">true</item>
        <!--背景透明-->
        <item name="android:windowIsTranslucent">true</item>
        <!--是否有覆盖-->
        <item name="android:windowContentOverlay">@null</item>
        <!--是否浮动-->
        <item name="android:windowIsFloating">true</item>
        <!--边框-->
        <item name="android:windowFrame">@null</item>
        <!--背景：透明-->
        <item name="android:windowBackground">@android:color/transparent</item>
        <!--dialog的整个屏幕的背景是否有遮障层-->
        <item name="android:backgroundDimEnabled">true</item>
        <item name="android:backgroundDimAmount">0.6</item>
        <item name="android:windowCloseOnTouchOutside">false</item>
    </style>

    <style name="update_dialog" parent="android:style/Theme.Dialog">
        <item name="android:windowFrame">@null</item>
        <item name="android:windowNoTitle">true</item>
        <item name="android:windowIsTranslucent">true</item>
        <item name="android:windowBackground">@android:color/transparent</item>
        <item name="android:backgroundDimEnabled">true</item>
        <item name="android:backgroundDimAmount">0.42</item>
        <item name="android:windowIsFloating">true</item>
        <item name="android:windowContentOverlay">@null</item>
    </style>

    <style name="AnimationActivity"><!--parent="@android:style/Animation.Activity">-->
        <item name="android:activityOpenEnterAnimation">@anim/slide_right_in</item>
        <item name="android:activityCloseExitAnimation">@anim/slide_right_out</item>
        <item name="android:taskToFrontEnterAnimation">@null</item>
    </style>

    <style name="YDSubwayCommonTheme" parent="Theme.AppCompat.Light.NoActionBar">
        <item name="android:windowAnimationStyle">@style/AnimationActivity</item>
    </style>

    <style name="subway_theme_day" parent="YDSubwayCommonTheme">
        <item name="black_first">#222222</item>
        <item name="main_bg">#ffffff</item>
        <item name="title_text">#222222</item>
        <item name="summary_text">#5a5a5a</item>
        <item name="subTitle_dark_text">#919191</item>
        <item name="subTitle_light_text">#bfbfbf</item>
        <item name="view_divider_bg">#e6e6e6</item>
        <item name="view_divider_dark_bg">#d9d9d9</item>
        <item name="view_divider_wide_bg">#f7f7f7</item>

    </style>

    <style name="subway_theme_night" parent="YDSubwayCommonTheme">
        <item name="black_first">#bababa</item>
        <item name="main_bg">#333333</item>
        <item name="title_text">#222222</item>
        <item name="summary_text">#919191</item>
        <item name="subTitle_dark_text">#888888</item>
        <item name="subTitle_light_text">#666666</item>
        <item name="view_divider_bg">#404040</item>
        <item name="view_divider_dark_bg">#4c4c4c</item>
        <item name="view_divider_wide_bg">#222222</item>
    </style>

    <!--生活圈B端-->
    <style name="base_dialog" parent="android:style/Theme.Dialog">
        <item name="android:windowBackground">@android:color/transparent</item>
        <item name="android:windowNoTitle">true</item>
        <item name="android:windowFrame">@null</item>
        <item name="android:windowIsFloating">true</item>
        <item name="android:backgroundDimEnabled">true</item>
    </style>

    <!--分割线的样式-->
    <style name="cut_off_line_style">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">@dimen/dp0.5</item>
        <item name="android:background">@color/color_FFF2F2F2</item>
    </style>

</resources>